/* change thes below four values */
%let pgmloc = \\westat.com\dfs\ASA24SECONDARY\build\;   *put location of the individual build programs, assumes all in same folder;
%let csvloc = \\westat.com\dfs\ASA24SECONDARY\build\;   *put location of the individual csv files, assumes all in same folder;
%let study = PEDI2;  *put study name here that matches the prefix of the 5 csv files;
%let itemsnum = 53869;  *put the number associated with ITEMS csv file here, for example, these files relate to this filePEDI2_53869_Items.csv;


%let insnum = %sysfunc(sum((&itemsnum*1),1));
%let responsesnum = %sysfunc(sum((&itemsnum*1),2));
%let totalsnum = %sysfunc(sum((&itemsnum*1),3));
%let tnsnum = %sysfunc(sum((&itemsnum*1),4));
%let tsnum = %sysfunc(sum((&itemsnum*1),5));
/*%put &insnum; %put &responsesnum; %put &totalsnum; %put &tnsnum; %put &tsnum;*/

%let itemsfile = %sysfunc(cats(&csvloc,&study,_,&itemsnum,_items.,csv));
%let insfile = %sysfunc(cats(&csvloc,&study,_,&insnum,_ins.,csv));
%let responsesfile = %sysfunc(cats(&csvloc,&study,_,&responsesnum,_responses.,csv));
%let totalsfile = %sysfunc(cats(&csvloc,&study,_,&totalsnum,_totals.,csv));
%let tnsfile = %sysfunc(cats(&csvloc,&study,_,&tnsnum,_tns.,csv));
%let tsfile = %sysfunc(cats(&csvloc,&study,_,&tsnum,_ts.,csv));
%put &itemsfile; %put &insfile ; %put &responsesfile; %put &totalsfile; %put &tnsfile; %put &tsfile;


%include "&pgmloc.buildresponses.sas";
%include "&pgmloc.builditems.sas";
%include "&pgmloc.buildtotals.sas";
%include "&pgmloc.buildINS.sas";
%include "&pgmloc.buildTS.sas";
%include "&pgmloc.buildTNS.sas";

proc sort data=responses; by username recallno; run;
proc sort data=items; by username recallno; run;
proc sort data=totals; by username recallno; run;
proc sort data=INS; by username recallno; run;
proc sort data=TS; by username recallno; run;
proc sort data=TNS; by username recallno; run;


proc sort data=responses out=responses_one (keep=username recallno) nodupkey ; by username recallno; run;
proc sort data=items out=items_one (keep=username recallno calc) nodupkey ; by username recallno; run;
proc sort data=totals out=totals_one (keep=username recallno calc) nodupkey ; by username recallno; run;
proc sort data=ins out=INS_one (keep=username recallno calc) nodupkey ; by username recallno; run;
proc sort data=ts out=TS_one (keep=username recallno calc) nodupkey ; by username recallno; run;
proc sort data=tns out=TNS_one (keep=username recallno calc) nodupkey ; by username recallno; run;


data chkcounts;
merge responses_one (in=responsesx)
      items_one (in=itemsx drop=calc) totals_one (in=totalsx drop=calc) ins_one (in=insx drop=calc) ts_one (in=tsx drop=calc)
      tns_one (in=tnsx drop=calc);
by username recallno;
if responsesx then responses=1; else responses=0;
if itemsx then items=1; else items=0;
if totalsx then totals=1; else totals=1;
if insx then ins=1; else ins=0;
if tsx then ts=1; else ts=0;
if tnsx then tns=1; else tns=0;
run;

proc freq data=chkcounts;
tables responses*items*totals*ins*ts*tns /list; run;

